package org.springblade.modules.api.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * Author pangqijun
 * Date 2023/6/7
 * Description
 */
@Data
public class GroupOrderRequest {
    @NotEmpty(message = "请添加商品")
    private List<Goods> goods;
    private Long organizerUserId;
    private Long selfTakeId;

    private Double longitude;
    private Double latitude;

    @NotNull(message = "团购id不能为空")
    private Long grouponId;

}
