package org.springblade.modules.distribution.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.distribution.entity.Commission;
import org.springblade.modules.distribution.vo.CommisStatisVO;
import org.springblade.modules.distribution.vo.CommissionVO;

import java.util.List;

public interface CommissionMapper extends BaseMapper<Commission> {


    CommisStatisVO statistics(@Param("userId") Long userId);

    List<CommissionVO> selectNotPayouts(Integer days);
}
