package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 售后原因实体类
 *
 * @author zzyd
 * @since 2023-06-13
 */
@Data
@TableName("t_after_sales_reason")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AfterSalesReason对象", description = "售后原因")
public class AfterSalesReason extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 售后原因
	*/
	@ApiModelProperty(value = "售后原因")
	private String reason;


}
