package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 团购自提点关联表实体类
 *
 * @author zzyd
 * @since 2023-06-02
 */
@Data
@TableName("t_groupon_self_take")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GrouponSelfTake对象", description = "团购自提点关联表")
public class GrouponSelfTake extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 团购id
	*/
	@ApiModelProperty(value = "团购id")
	private Long grouponId;
	/**
	* 自提点id
	*/
	@ApiModelProperty(value = "自提点id")
	private Long selfTakeId;


}
