package org.springblade.modules.groupon.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

@Data
@TableName("t_user_self_take")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "UserSelfTake对象", description = "团长自提点关联表")
public class UserSelfTake extends BaseEntity {

    /**
     * 团购id
     */
    @ApiModelProperty(value = "团长id")
    private Long userId;
    /**
     * 自提点id
     */
    @ApiModelProperty(value = "自提点id")
    private Long selfTakeId;



}
