package org.springblade.modules.groupon.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * Author pangqijun
 * Date 2023/6/29
 * Description
 */
@Data
public class AppointmentVO {
    private Long grouponId;

    @ApiModelProperty(value = "主标题")
    private String mainTitle;

    @ApiModelProperty(value = "团购开始时间")
    private LocalDateTime grouponStartTime;

    @ApiModelProperty(value = "团购结束时间")
    private LocalDateTime grouponEndTime;

    private Integer state;
}
