package org.springblade.modules.mall.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Author pangqijun
 * Date 2023/6/28
 * Description
 */
@Data
public class GoodsImport {
    private String goodsName;
    private String goodsNo;
    private String goodsSpec;
    @ApiModelProperty(value = "划线价")
    private BigDecimal salePrice;
    @ApiModelProperty(value = "供货价价")
    private BigDecimal costPrice;
    @ApiModelProperty(value = "总库存")
    private Integer totalStock;
}
