package org.springblade.modules.platform.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class AddUserTicketDTO {
	@NotNull(message = "积分数不能为空")
	@ApiModelProperty(value = "积分数")
	private Double score;

	@NotNull(message = "用户id不能为空")
	@ApiModelProperty(value = "用户id")
	private Long userId;

	@NotNull(message = "请输入验证码")
	@ApiModelProperty(value = "验证码")
	private String code;

	@NotNull(message = "非法验证码")
	@ApiModelProperty(value = "验证码ID")
	private String codeId;

	@ApiModelProperty(value = "获取方式")
	private Integer dataSrc;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "数据来源id")
	private Long dataId;
}
