package org.springblade.modules.platform.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 文章实体类
 *
 * @author zzyd
 * @since 2023-07-04
 */
@Data
@TableName("t_article")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Article对象", description = "文章")
public class Article extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 标题
	*/
	@ApiModelProperty(value = "标题")
	private String title;
	/**
	* 内容
	*/
	@ApiModelProperty(value = "内容")
	private String content;


}
