/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.quartz.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.quartz.entity.JobLog;

/**
 * 定时任务调度日志表视图实体类
 *
 * @author BladeX
 * @since 2023-02-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "JobLogVO对象", description = "定时任务调度日志表")
public class JobLogVO extends JobLog {
	private static final long serialVersionUID = 1L;

}
