package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;


@Data
@TableName("blade_payquery_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "第三方打款查询记录", description = "第三方打款查询记录")
public class PayqueryRecord extends BaseEntity<PayqueryRecord> {

	@ApiModelProperty(value = "打款id")
	private Long consigId;

	@ApiModelProperty(value = "返回json")
	private String responseJson;

	@ApiModelProperty(value = "请求json")
	private String requestJson;

	@ApiModelProperty(value = "状态")
	private Integer status;

}
