package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

/**
 * Author pangqijun
 * Date 2022/11/8
 * Description
 */
@Data
@TableName("blade_user_wechat")
public class UserWeChat extends BaseEntity {
	@ApiModelProperty("用户id")
	private Long userId;
	@ApiModelProperty("微信openid")
	private String openId;
	@ApiModelProperty("微信unionid")
	private String unionId;
	@ApiModelProperty("sessionKey")
	private String sessionKey;
	@ApiModelProperty("是否添加分账接收方")
	private Integer isAddReceiver;
}
