## 环境准备

## 工程设置

## 项目部署

## 辅助功能

## 其他


* BladeX的注册中心
* 具体文档详见：https://nacos.io/zh-cn/docs/quick-start.html
* docker部署详见：https://github.com/nacos-group/nacos-docker

* NACOS开发路径
    * 启动文件地址 ```E:\Xsoftware\Nacos\distribution\target\nacos-server-2.0.3\nacos\bin```
    * 打包 ```mvn -Prelease-nacos -Dmaven.test.skip=true clean install -U```
    * 单机运行命令 ```startup.cmd -m standalone```
    * 访问地址 ```http://127.0.0.1:8848/nacos```
    * 端口占用：
        * 查看端口占用情况 ```netstat -ano```
        * 查找端口的PID ```tasklist|findstr 11924```
        * 在“启动任务管理器”中“进程”查找PID右键结束进程


* 访问Sagger地址
    * 地址 ```http://localhost:18000/doc.html```
* MQTT消息传输协议
    * EMQ X 消息服务器文档地址： ```https://docs.emqx.cn/broker/v4.3/```
    * 官方地址: ```https://www.emqx.com/zh/downloads?product=broker```

## 阿里云企业物联网平台

* 地址 ```https://iot.console.aliyun.com/lk/summary/new```
* 设备证书 {
  "ProductKey": "gh68rFwgh0C",
  "DeviceName": "S0001",
  "DeviceSecret": "33ccdec0db027dbd54d9ef13bb6bf175"
  }
* 阿里云物联网平台文档地址 ```https://help.aliyun.com/document_detail/189193.html```
* 设备接入Link SDK ```https://help.aliyun.com/document_detail/97331.html```

## centos8安装docker

* 教程：```https://www.cnblogs.com/lhd1998/p/13297229.html```
* 命令 ：
    * ```docker run -p 6379:6379 -v $PWD/data:/data -d redis redis-server --appendonly yes --requirepass "liquor123456"```

```aidl
#java
export JAVA_HOME=/usr/java/jdk1.8.0_221
export PATH=$JAVA_HOME/bin:$PATH
export CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib
```

```nohup java -Xms1024m -Xmx1024m -jar blade-api.jar --spring.profiles.active=test > /dev/blade/null 2>&1 &```


### 请求参数
#### 登录授权
```
    --header
    Authorization: Basic c3dvcmQ6c3dvcmRfc2VjcmV0
    --param
    tenantId: 888888
    username: liquor
    password: 9865ec7186deb56062c1f924963d992e
```
#### 地图定位参数
```
    {
      "lat": 106.687601,
      "lng": 26.568466,
      "maxCount": 12,
      "range": 10,
      "userId": 0
    }
```

## 处理xml文件sql符合

```aidl
    &lt;     <    小于号
    &gt;     >    大于号
    &amp;    &    和
    &apos;   '    单引号
    &quot;   "    双引号
    &lt;=    <=   小于等于
    &gt;=    >=   大于等于
```
## 微信支付

在服务器上需要指定读取证书文件的绝对路径

1.使用redis报错问题

```java
MISCONF Redis is configured to save RDB snapshots, but it is currently not able to persist on disk. Commands that may modify the data set are disabled, because this instance is configured to report errors during writes if RDB snapshotting fails (stop-writes-on-bgsave-error option). Please check the Redis logs for details about the RDB error.
```


## minio地址

    http://47.109.28.56:9001/login
