package org.springblade.common.constant;

/**
 * 缓存常量
 */
public interface CacheBizConstant {


	/**
	 * 支付配置
	 */
	String CACHE_DEFAULT_PAYMENTS = "cache:default:payments";

	/**
	 * 缓存失效时间
	 */
	Long CACHE_TIME = 120L;


	/**
	 * 订单默认超时时间
	 */
	String ORDER_TIMEOUT = "cache:order:timeout";

	String ORDER_TIMEOUT_PREFIX = "order:timeout:";

	String TIMEOUT_ORDER_LIST = "timeout:order:list";

	String ORDER_AFTER_SALES_DAYS = "order:after:sales:days";

	String GOODS_STORE = "goods:store:";
}
