package org.springblade.common.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @description: 单个参数公共
 * @date: 2020/10/13
 * @author: shendong
 */
@ApiModel(description = "单参数入参 key值一般为某个信息的主键id，如删除部门，则key=部门id")
@Data
public class SingleParam<T> implements Serializable {

	private static final long serialVersionUID = 2891170624579999223L;

	@ApiModelProperty(value = "参数值 根据接口指定的参数类型赋值", required = true)
	private T key;
}
