package org.springblade.modules.api.request;

import lombok.Data;
import org.springblade.modules.finance.entity.OrderGrouponGoods;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * Author pangqijun
 * Date 2023/6/18
 * Description
 */
@Data
public class AfterSalesRequest {
    private String reason;
    @NotNull(message = "订单ID不能为空")
    private Long orderId;
    private Integer afterSalesType;
    @NotEmpty(message = "请选择售后商品")
    private List<OrderGrouponGoods> afterSalesGoodsList;
}
