package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GoodsListRequest {
	@ApiModelProperty(value = "分类ID")
	private String goodsCategoryId;
	@ApiModelProperty(value = "专区类型;1-绿色积分专区 2-积分兑换专区 3-红色积分专区")
	private Integer zoneType;
	@ApiModelProperty(value = "商品名称")
	private String goodsName;
	@ApiModelProperty(value = "是否推荐;1-是  0-否")
	private Integer isRecom;
	@ApiModelProperty(value = "是否自营")
	private boolean selfSupport;
	@ApiModelProperty(value = "活动日期字符串格式yyyy-MM-dd")
	private String activityDate;

}
