package org.springblade.modules.api.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * Author pangqijun
 * Date 2023/6/7
 * Description
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class GoodsResponse {
    private Long id;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品封面")
    private String goodsCover;

    @ApiModelProperty(value = "折扣价")
    private BigDecimal discountPrice;

    private Integer num;
}
