package org.springblade.modules.distribution.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "供应商团购履约单", description = "订单主表")
public class AppointStoreVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "团购id")
    private Long grouponId;

    @ApiModelProperty(value = "团购标题")
    private String grouponName;

    @ApiModelProperty(value = "团购开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date grouponStartTime;

    @ApiModelProperty(value = "总商品数量")
    private Integer goodsNum;

    @ApiModelProperty(value = "履约单状态")
    private Integer appointState;

}
