package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 售后商品表实体类
 *
 * @author zzyd
 * @since 2023-07-25
 */
@Data
@TableName("t_after_sales_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AfterSalesGoods对象", description = "售后商品表")
public class AfterSalesGoods extends BaseEntity {

	private static final long serialVersionUID = 1L;

private Long afterSalesId;
private Integer goodsNum;
private Long orderGrouponGoodsId;


}
