package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 核销订单表实体类
 *
 * @author zzyd
 * @since 2023-06-13
 */
@Data
@TableName("t_confirm_order")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ConfirmOrder对象", description = "核销订单表")
public class ConfirmOrder extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 订单id
	*/
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	* 取货码
	*/
	@ApiModelProperty(value = "取货码")
	private String pickupCode;


}
