package org.springblade.modules.groupon.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 参团用户表实体类
 *
 * @author zzyd
 * @since 2023-06-02
 */
@Data
@TableName("t_groupon_user")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GrouponUser对象", description = "参团用户表")
public class GrouponUser extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 团购id
	*/
	@ApiModelProperty(value = "团购id")
	private Long grouponId;
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Long userId;
	/**
	* 用户头像
	*/
	@ApiModelProperty(value = "用户头像")
	private String userAvatar;


}
