package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 计量单位实体类
 *
 * @author zzyd
 * @since 2023-06-01
 */
@Data
@TableName("t_unit")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Unit对象", description = "计量单位")
public class Unit extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 计量名称
	*/
	@ApiModelProperty(value = "计量名称")
	private String name;
	/**
	* 状态
	*/
	@ApiModelProperty(value = "状态")
	private Integer status;


}
