package org.springblade.modules.mall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 毛利信息
 */
@Data
public class GrossProfitVO {
	@ApiModelProperty(value = "来源")
	private String source;
	@ApiModelProperty(value = "总实收金额")
	private BigDecimal totalPaidInAmount = BigDecimal.ZERO;
	@ApiModelProperty(value = "总协议价")
	private BigDecimal totalAgreementPrice = BigDecimal.ZERO;
	@ApiModelProperty(value = "毛利")
	private BigDecimal grossProfit = BigDecimal.ZERO;
	@ApiModelProperty(value = "总毛利")
	private BigDecimal totalGrossProfit = BigDecimal.ZERO;
	@ApiModelProperty(value = "毛利率")
	private String rateOfGrossProfit;
	@ApiModelProperty(value = "占比")
	private String ratio;

}
