package org.springblade.modules.platform.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class StatisticsVO {
	@ApiModelProperty(value = "今日统计")
	private DayStatisVO today;

	@ApiModelProperty(value = "昨日统计")
	private DayStatisVO yesterday;

	@ApiModelProperty(value = "进货图表数据")
	private List<Map<String, Object>> stockData;

	@ApiModelProperty(value = "人数图表数据")
	private List<Map<String, Object>> peopleData;

	@ApiModelProperty(value = "打款图表数据")
	private List<Map<String, Object>> remitData;
}
