package org.springblade.modules.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.system.entity.PayLog;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PayLogVO", description = "PayLogVO")
public class PayLogVO extends PayLog {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "领取人姓名")
	private String userName;

	@ApiModelProperty(value = "领取人手机号")
	private String phone;
}
